Page MenuHomePhabricator

End-term evaluation for "Newsletter extension for MediaWiki"
Closed, ResolvedPublic

Description

End-term evaluations will be performed by the mentors. All students and mentors must submit their evaluation on Melange after 21st August and before 28th August 2015.

General checklist for a successful evaluation:

  • End-term goals as outlined in the project timeline are complete
  • Project is completed and hosted on Labs/elsewhere ( Link to Labs instance : http://newsletter-test.wmflabs.org/ )
  • Weekly reports are up-to-date and complete ( T100997 )
  • The student has been in regular touch with mentors
  • Tasks have been created for known bugs, missing features, and suggested improvements (link to project board - MediaWiki-extensions-Newsletter ).
  • Documentation for users and contributors is created (for example, if this is an extension project, provide link to extension page with installation instructions, project description and database information clearly provided)
  • Wrap-up report is up-to-date (T109288)
  • Summary is provided on the past projects page (GSoC)

Additional information, if any:

Evaluation in Google Melange: PASS. Right now there are two tasks still open (T108205, T109288) but they look complete already.

Event Timeline

Niharika created this task.Aug 17 2015, 2:16 PM
Niharika assigned this task to 01tonythomas.
Niharika raised the priority of this task from to Medium.
Niharika updated the task description. (Show Details)
Niharika added subscribers: Aklapper, Niharika, Sitic and 3 others.
Tinaj1234 updated the task description. (Show Details)Aug 18 2015, 12:43 PM
Tinaj1234 set Security to None.

Hi @Tinaj1234, you can now add the details on the GSoC past projects page and also link your weekly reports here.

In T109302#1548747, @NiharikaKohli wrote:

Hi @Tinaj1234, you can now add the details on the GSoC past projects page and also link your weekly reports here.

Sure! ( currently editing GSoC past projects page )

Tinaj1234 updated the task description. (Show Details)Aug 18 2015, 1:28 PM
Tinaj1234 updated the task description. (Show Details)
Qgil closed this task as Resolved.Aug 25 2015, 8:59 AM
Qgil updated the task description. (Show Details)